This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292940 - [abrt] rdiff-backup: rpath.py:998:listdir:OSError: [Errno 40] Too many levels of symbolic links: '/tmp/LVMBackup.bash.backupTargetShareMountDir.PfZAafyVKc/stinkpad.internal.hupie.com/rdiff-backup-data/increments/home/ferry/vcs/nbs/openwrt/backfire/buil...
[abrt] rdiff-backup: rpath.py:998:listdir:OSError: [Errno 40] Too many levels...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6171f96afe5edc0c11e9449f415...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 14:19 EST by Ferry Huberts
Modified: 2016-12-20 12:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:09:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.37 KB, text/plain)
2015-12-18 14:19 EST, Ferry Huberts
no flags Details
File: environ (2.79 KB, text/plain)
2015-12-18 14:19 EST, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2015-12-18 14:19:29 EST
Version-Release number of selected component:
rdiff-backup-1.2.8-16.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/rdiff-backup --verbosity 3 --remove-older-than 1Y --force /tmp/LVMBackup.bash.backupTargetShareMountDir.PfZAafyVKc/stinkpad.internal.hupie.com
executable:     /usr/bin/rdiff-backup
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
rpath.py:998:listdir:OSError: [Errno 40] Too many levels of symbolic links: '/tmp/LVMBackup.bash.backupTargetShareMountDir.PfZAafyVKc/stinkpad.internal.hupie.com/rdiff-backup-data/increments/home/ferry/vcs/nbs/openwrt/backfire/build_dir/linux-brcm-2.4/iptables-1.4.6/extensions'

Traceback (most recent call last):
  File "/usr/bin/rdiff-backup", line 30, in <module>
    rdiff_backup.Main.error_check_Main(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 304, in error_check_Main
    try: Main(arglist)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 324, in Main
    take_action(rps)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 288, in take_action
    elif action == "remove-older-than": RemoveOlderThan(rps[0])
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/Main.py", line 766, in RemoveOlderThan
    manage.delete_earlier_than(Globals.rbdir, time)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 91, in delete_earlier_than
    baserp.conn.manage.delete_earlier_than_local(baserp, time)
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 103, in delete_earlier_than_local
    for rp in yield_files(baserp):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 99, in yield_files
    for sub_rp in yield_files(rp.append(filename)):
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/manage.py", line 98, in yield_files
    for filename in rp.listdir():
  File "/usr/lib64/python2.7/site-packages/rdiff_backup/rpath.py", line 998, in listdir
    return self.conn.os.listdir(self.path)
OSError: [Errno 40] Too many levels of symbolic links: '/tmp/LVMBackup.bash.backupTargetShareMountDir.PfZAafyVKc/stinkpad.internal.hupie.com/rdiff-backup-data/increments/home/ferry/vcs/nbs/openwrt/backfire/build_dir/linux-brcm-2.4/iptables-1.4.6/extensions'

Local variables in innermost frame:
self: <rdiff_backup.rpath.RPath instance at 0x7f28d95ca5f0>
Comment 1 Ferry Huberts 2015-12-18 14:19:34 EST
Created attachment 1107360 [details]
File: backtrace
Comment 2 Ferry Huberts 2015-12-18 14:19:36 EST
Created attachment 1107361 [details]
File: environ
Comment 3 Kevin Fenzi 2015-12-18 15:04:20 EST
Not sure there's too much we can do here... there's too many levels of symlinks. ;( 

You could change your host to not have so many, or --exclude-symbolic-links to avoid them in the backup. 

What kind of filesystem is your backup going to?
Comment 4 Ferry Huberts 2015-12-18 15:18:03 EST
This is a very long standing problem.

My backup runs 2 cycles:
1- first backup everything
2- then remove everyting that is older than a certain date

This problem _always_ occurs in cycle 2, never in cycle 1.
Which is weird to me, I'd expect it to fail already in cycle 1 if there really were too many levels of links.
Comment 5 Ferry Huberts 2015-12-18 15:21:25 EST
See also bug #1044065
Comment 6 Kevin Fenzi 2015-12-18 17:27:28 EST
Ah yes. I recall that bug now... I tried to gather info there, but didn't have any luck tracking it down. 

I'd suggest you ask upstream, but sadly upstream is pretty dead these days. ;(
Comment 7 Ferry Huberts 2015-12-19 04:20:57 EST
Yeah I need to switch to a different backup solution, but am lacking the time a bit. Will probably go for BackupPC
Comment 8 Fedora End Of Life 2016-11-24 09:21:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 12:09:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.